漏洞信息详情

The Sleuth Kit 输入验证错误漏洞

  • CNNVD编号:CNNVD-201907-1066
  • 危害等级: 中危
  • CVE编号: CVE-2019-1010065
  • 漏洞类型: 输入验证错误
  • 发布时间: 2019-07-18
  • 威胁类型: 远程
  • 更新时间: 2019-09-02
  • 厂        商:
  • 漏洞来源:

漏洞简介

The Sleuth Kit(TSK)是Brian Carrier软件开发者的一套数据取证工具集合。该工具能够分析FAT、NTFS、UFS等文件系统,并提供文件系统的详细信息。

TSK 4.6.0及之前版本中的tsk/fs/hfs.c文件的‘hfs_cat_traverse()’函数存在输入验证错误漏洞。该漏洞源于网络系统或产品未对输入的数据进行正确的验证。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://github.com/sleuthkit/sleuthkit/commit/114cd3d0aac8bd1aeaf4b33840feb0163d342d5b

参考网址

来源:MISC

链接:https://github.com/sleuthkit/sleuthkit/commit/114cd3d0aac8bd1aeaf4b33840feb0163d342d5b

来源:FEDORA

链接:https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/6VXDAP6SEO3RCDCZITTFGNZGSVPE5CTY/

来源:FEDORA

链接:https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/FGWCQIZKTDCJO4YGL5LGPYFNOVU7SJRX/

来源:issuetracker.google.com

链接:https://issuetracker.google.com/issues/77809383

来源:vigilance.fr

链接:https://vigilance.fr/vulnerability/Sleuth-Kit-integer-overflow-via-hfs-cat-traverse-30204

来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-1010065

受影响实体

    暂无


漏洞信息快速查询

相关漏洞

更多